# Generated by Django 5.0.4 on 2024-05-16 12:24

import wagtail.blocks
import wagtail.contrib.table_block.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations

import shared.blocks.base


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0184_auto_20240516_1341"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtcustompage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                                "embed",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "headline",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Headline", max_length=300, required=True
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("head-alt-xl", "Bebas XL"),
                                            ("head-alt-lg", "Bebas L"),
                                            ("head-alt-md", "Bebas M"),
                                            ("head-alt-base", "Bebas base"),
                                            ("head-alt-sm", "Bebas SM"),
                                            ("head-alt-xs", "Bebas XS"),
                                            ("head-alt-2xs", "Bebas 2XS"),
                                            ("head-heavy-base", "Roboto base"),
                                            ("head-heavy-sm", "Roboto SM"),
                                            ("head-heavy-xs", "Roboto XS"),
                                            ("head-heavy-2xs", "Roboto 2XS"),
                                            ("head-allcaps-2xs", "Allcaps 2XS"),
                                            ("head-allcaps-3xs", "Allcaps 3XS"),
                                            ("head-allcaps-4xs", "Allcaps 4XS"),
                                            (
                                                "head-heavy-allcaps-2xs",
                                                "Allcaps heavy 2XS",
                                            ),
                                            (
                                                "head-heavy-allcaps-3xs",
                                                "Allcaps heavy 3XS",
                                            ),
                                            (
                                                "head-heavy-allcaps-4xs",
                                                "Allcaps heavy 4XS",
                                            ),
                                        ],
                                        help_text="Náhled si prohlédněte na https://styleguide.pir-test.eu/latest/?p=viewall-atoms-text.",
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h1", "H1"),
                                            ("h2", "H2"),
                                            ("h3", "H3"),
                                            ("h4", "H4"),
                                            ("h5", "H5"),
                                            ("h6", "H6"),
                                        ],
                                        help_text="Čím nižší číslo, tím vyšší úroveň.",
                                        label="Úroveň nadpisu",
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            template="shared/blocks/table_block.html"
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "figure",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.TextBlock(
                                        label="Popisek", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "card",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=False
                                    ),
                                ),
                                (
                                    "elevation",
                                    wagtail.blocks.IntegerBlock(
                                        default=2,
                                        help_text="0 = žádný stín, 21 = maximální stín",
                                        label="Velikost stínu",
                                        max_value=21,
                                        min_value=0,
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.TextBlock(
                                        label="Titulek", required=False
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                        label="Zvýraznit stín na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                        "embed",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                        ],
                                        label="Obsah",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "two_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                        "embed",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                                "embed",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "mobile_fullwidth",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                label="Plná šířka na mobilních zařízeních",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "align",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "auto",
                                                                        "Automaticky",
                                                                    ),
                                                                    (
                                                                        "center",
                                                                        "Na střed",
                                                                    ),
                                                                ],
                                                                label="Zarovnání",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "mobile_fullwidth",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                                label="Plná šířka na mobilních zařízeních",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "auto",
                                                                                        "Automaticky",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "Na střed",
                                                                                    ),
                                                                                ],
                                                                                label="Zarovnání",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                        "embed",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                                "embed",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "mobile_fullwidth",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                label="Plná šířka na mobilních zařízeních",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "align",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "auto",
                                                                        "Automaticky",
                                                                    ),
                                                                    (
                                                                        "center",
                                                                        "Na střed",
                                                                    ),
                                                                ],
                                                                label="Zarovnání",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "mobile_fullwidth",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                                label="Plná šířka na mobilních zařízeních",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "auto",
                                                                                        "Automaticky",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "Na střed",
                                                                                    ),
                                                                                ],
                                                                                label="Zarovnání",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "three_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                        "embed",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                                "embed",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "mobile_fullwidth",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                label="Plná šířka na mobilních zařízeních",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "align",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "auto",
                                                                        "Automaticky",
                                                                    ),
                                                                    (
                                                                        "center",
                                                                        "Na střed",
                                                                    ),
                                                                ],
                                                                label="Zarovnání",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "mobile_fullwidth",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                                label="Plná šířka na mobilních zařízeních",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "auto",
                                                                                        "Automaticky",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "Na střed",
                                                                                    ),
                                                                                ],
                                                                                label="Zarovnání",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "middle_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                        "embed",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                                "embed",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "mobile_fullwidth",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                label="Plná šířka na mobilních zařízeních",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "align",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "auto",
                                                                        "Automaticky",
                                                                    ),
                                                                    (
                                                                        "center",
                                                                        "Na střed",
                                                                    ),
                                                                ],
                                                                label="Zarovnání",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "mobile_fullwidth",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                                label="Plná šířka na mobilních zařízeních",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "auto",
                                                                                        "Automaticky",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "Na střed",
                                                                                    ),
                                                                                ],
                                                                                label="Zarovnání",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah prostředního sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                        "embed",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                                "embed",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "mobile_fullwidth",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                label="Plná šířka na mobilních zařízeních",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "align",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "auto",
                                                                        "Automaticky",
                                                                    ),
                                                                    (
                                                                        "center",
                                                                        "Na střed",
                                                                    ),
                                                                ],
                                                                label="Zarovnání",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "mobile_fullwidth",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                                label="Plná šířka na mobilních zařízeních",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "auto",
                                                                                        "Automaticky",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "Na střed",
                                                                                    ),
                                                                                ],
                                                                                label="Zarovnání",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "map_point",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Špendlík na mapě",
                        ),
                    ),
                    (
                        "map_collection",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "features",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek", required=True
                                                    ),
                                                ),
                                                (
                                                    "description",
                                                    wagtail.blocks.TextBlock(
                                                        label="Popisek", required=False
                                                    ),
                                                ),
                                                (
                                                    "geojson",
                                                    wagtail.blocks.TextBlock(
                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io. Pokud u objektu poskytnete properties 'title' a 'description', zobrazí se jak na mapě, tak i v detailu.",
                                                        label="Geodata",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                                (
                                                    "hex_color",
                                                    wagtail.blocks.CharBlock(
                                                        default="000000",
                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                        label="Barva (HEX)",
                                                    ),
                                                ),
                                            ],
                                            required=True,
                                        ),
                                        label="Součásti",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Mapová kolekce",
                        ),
                    ),
                    (
                        "button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                        label="Ikonka",
                                        max_length=128,
                                        required=False,
                                    ),
                                ),
                                (
                                    "size",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("sm", "Malá"),
                                            ("base", "Střední"),
                                            ("lg", "Velká"),
                                        ],
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelené"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "mobile_fullwidth",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                        label="Plná šířka na mobilních zařízeních",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "button_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "buttons",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "button_link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz tlačítka"
                                                    ),
                                                ),
                                                (
                                                    "button_text",
                                                    wagtail.blocks.CharBlock(
                                                        label="Text tlačítka"
                                                    ),
                                                ),
                                            ],
                                            label="Tlačítko",
                                        ),
                                        label="Tlačítka",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "image_banner",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Headline", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=(
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ),
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "mobile_fullwidth",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                label="Plná šířka na mobilních zařízeních",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "align",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "auto",
                                                                        "Automaticky",
                                                                    ),
                                                                    (
                                                                        "center",
                                                                        "Na střed",
                                                                    ),
                                                                ],
                                                                label="Zarovnání",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "mobile_fullwidth",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko se na mobilních zařízeních roztáhne na plnou šířku.",
                                                                                label="Plná šířka na mobilních zařízeních",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "align",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "auto",
                                                                                        "Automaticky",
                                                                                    ),
                                                                                    (
                                                                                        "center",
                                                                                        "Na střed",
                                                                                    ),
                                                                                ],
                                                                                label="Zarovnání",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "chart",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Název", max_length=120
                                    ),
                                ),
                                (
                                    "chart_type",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("bar", "Graf se sloupci"),
                                            (
                                                "horizontalBar",
                                                "Graf s vodorovnými sloupci",
                                            ),
                                            ("pie", "Koláčový graf"),
                                            ("doughnut", "Donutový graf"),
                                            ("polarArea", "Graf polární oblasti"),
                                            ("radar", "Radarový graf"),
                                            ("line", "Graf s liniemi"),
                                        ],
                                        label="Typ",
                                    ),
                                ),
                                (
                                    "hide_points",
                                    wagtail.blocks.BooleanBlock(
                                        help_text="Mění vzhled pouze u linových grafů.",
                                        label="Schovat body",
                                        required=False,
                                    ),
                                ),
                                (
                                    "local_labels",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.CharBlock(
                                            label="Skupina", max_length=40
                                        ),
                                        blank=True,
                                        collapsed=True,
                                        default=[],
                                        label="Místně definované skupiny",
                                        required=False,
                                    ),
                                ),
                                (
                                    "local_datasets",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "label",
                                                    wagtail.blocks.CharBlock(
                                                        label="Označení zdroje dat",
                                                        max_length=120,
                                                    ),
                                                ),
                                                (
                                                    "data",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.IntegerBlock(),
                                                        default=[0],
                                                        label="Data",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        blank=True,
                                        collapsed=True,
                                        default=[],
                                        label="Místní zdroje dat",
                                        required=False,
                                    ),
                                ),
                                (
                                    "redmine_issue_datasets",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "projects",
                                                    wagtail.blocks.MultipleChoiceBlock(
                                                        choices=shared.blocks.base.get_redmine_projects,
                                                        label="Projekty",
                                                    ),
                                                ),
                                                (
                                                    "is_open",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Jen otevřené",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "is_closed",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Jen uzavřené",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "created_on_min_date",
                                                    wagtail.blocks.DateBlock(
                                                        label="Min. datum vytvoření",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "created_on_max_date",
                                                    wagtail.blocks.DateBlock(
                                                        label="Max. datum vytvoření",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "updated_on",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Např. <=2023-01-01. Více informací na pi2.cz/redmine-api",
                                                        label="Filtr pro datum aktualizace",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "issue_label",
                                                    wagtail.blocks.CharBlock(
                                                        label="Označení úkolů uvnitř grafu",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "split_per_project",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Rozdělit podle projektu",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "only_grow",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Pouze růst nahoru",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Redmine úkoly",
                                        ),
                                        blank=True,
                                        default=[],
                                        help_text="Úkoly, podle doby vytvoření. Pokud definuješ více zdrojů, datumy v nich musí být stejné.",
                                        label="Zdroje dat z Redmine (úkoly)",
                                        required=False,
                                    ),
                                ),
                            ],
                            template="district/blocks/chart.html",
                        ),
                    ),
                    (
                        "related",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "articles",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            "district.DistrictArticlePage",
                                            label="Aktualita",
                                            required=True,
                                        ),
                                        label="Seznam aktualit",
                                        required=True,
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "related_links",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "articles",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            "district.DistrictArticlePage",
                                            label="Aktualita",
                                            required=True,
                                        ),
                                        label="Seznam aktualit",
                                        required=True,
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "badge",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                        required=True,
                                    ),
                                ),
                                (
                                    "wrap_in_card",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        label="Zabalit do karty",
                                        required=False,
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.CharBlock(
                                        help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                        label="Popisek",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "group_title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "position",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název pozice",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "person",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Osoba",
                                                        page_type=[
                                                            "district.DistrictPersonPage"
                                                        ],
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="List osob",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "newsletter",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "list_id",
                                    wagtail.blocks.CharBlock(
                                        label="ID newsletteru", required=True
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.CharBlock(
                                        default="Fake news tam nenajdeš, ale dozvíš se, co chystáme doopravdy!",
                                        label="Popis newsletteru",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
    ]
