# Generated by Django 5.0.4 on 2024-05-29 11:26

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0214_alter_districtnewprogrampage_program"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtelectioncampaignpage",
            name="candidates",
            field=wagtail.fields.StreamField(
                [
                    (
                        "candidates",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "candidates",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "district.DistrictPersonPage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                        label="Obrázek",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "description",
                                                    wagtail.blocks.TextBlock(
                                                        label="Popis"
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kandidáti",
                                    ),
                                )
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Kandidátní listina",
            ),
        ),
        migrations.AlterField(
            model_name="districtnewprogrampage",
            name="program",
            field=wagtail.fields.StreamField(
                [
                    (
                        "program_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek části programu"
                                    ),
                                ),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "url",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz pokrývající celou tuto část",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Ikona", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek článku programu"
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        features=[
                                                            "h3",
                                                            "h4",
                                                            "h5",
                                                            "bold",
                                                            "italic",
                                                            "ol",
                                                            "ul",
                                                            "hr",
                                                            "link",
                                                            "document-link",
                                                            "image",
                                                            "superscript",
                                                            "subscript",
                                                            "strikethrough",
                                                            "blockquote",
                                                            "embed",
                                                        ],
                                                        label="Obsah",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Jednotlivé články programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_crossroad",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek části programu"
                                    ),
                                ),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek"
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek", required=True
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Krátký text pod nadpisem",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka",
                                                        page_type=[
                                                            "district.DistrictArticlePage",
                                                            "district.DistrictArticlesPage",
                                                            "district.DistrictCenterPage",
                                                            "district.DistrictContactPage",
                                                            "district.DistrictCrossroadPage",
                                                            "district.DistrictCustomPage",
                                                            "district.DistrictElectionCampaignPage",
                                                            "district.DistrictElectionProgramPage",
                                                            "district.DistrictElectionRootPage",
                                                            "district.DistrictPeoplePage",
                                                            "district.DistrictPersonPage",
                                                            "district.DistrictPostElectionStrategyPage",
                                                            "district.DistrictProgramPage",
                                                        ],
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Karty programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_popout",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek části programu"
                                    ),
                                ),
                                (
                                    "categories",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "name",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název"
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Ikona", required=False
                                                    ),
                                                ),
                                                (
                                                    "description",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Popis", required=False
                                                    ),
                                                ),
                                                (
                                                    "point_list",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "title",
                                                                    wagtail.blocks.CharBlock(
                                                                        label="Titulek vyskakovacího bloku"
                                                                    ),
                                                                ),
                                                                (
                                                                    "content",
                                                                    wagtail.blocks.RichTextBlock(
                                                                        features=[
                                                                            "h3",
                                                                            "h4",
                                                                            "h5",
                                                                            "bold",
                                                                            "italic",
                                                                            "ol",
                                                                            "ul",
                                                                            "hr",
                                                                            "link",
                                                                            "document-link",
                                                                            "image",
                                                                            "superscript",
                                                                            "subscript",
                                                                            "strikethrough",
                                                                            "blockquote",
                                                                            "embed",
                                                                        ],
                                                                        label="Obsah",
                                                                    ),
                                                                ),
                                                                (
                                                                    "guarantor",
                                                                    wagtail.blocks.PageChooserBlock(
                                                                        label="Garant",
                                                                        page_type=[
                                                                            "district.DistrictPersonPage"
                                                                        ],
                                                                        required=False,
                                                                    ),
                                                                ),
                                                            ]
                                                        ),
                                                        label="Jednotlivé bloky programu",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Kategorie programu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "program_group_with_candidates",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek části programu"
                                    ),
                                ),
                                (
                                    "primary_candidates",
                                    wagtail.blocks.StructBlock(
                                        [
                                            (
                                                "candidates",
                                                wagtail.blocks.ListBlock(
                                                    wagtail.blocks.StructBlock(
                                                        [
                                                            (
                                                                "page",
                                                                wagtail.blocks.PageChooserBlock(
                                                                    label="Stránka",
                                                                    page_type=[
                                                                        "district.DistrictPersonPage"
                                                                    ],
                                                                ),
                                                            ),
                                                            (
                                                                "image",
                                                                wagtail.images.blocks.ImageChooserBlock(
                                                                    help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                                    label="Obrázek",
                                                                    required=False,
                                                                ),
                                                            ),
                                                            (
                                                                "description",
                                                                wagtail.blocks.TextBlock(
                                                                    label="Popis"
                                                                ),
                                                            ),
                                                        ]
                                                    ),
                                                    label="Kandidáti",
                                                ),
                                            )
                                        ],
                                        label="Čelo kandidátky",
                                    ),
                                ),
                                (
                                    "secondary_candidates",
                                    wagtail.blocks.StructBlock(
                                        [
                                            (
                                                "heading",
                                                wagtail.blocks.CharBlock(
                                                    label="Nadpis"
                                                ),
                                            ),
                                            (
                                                "candidates",
                                                wagtail.blocks.ListBlock(
                                                    wagtail.blocks.StructBlock(
                                                        [
                                                            (
                                                                "number",
                                                                wagtail.blocks.CharBlock(
                                                                    label="Číslo"
                                                                ),
                                                            ),
                                                            (
                                                                "page",
                                                                wagtail.blocks.PageChooserBlock(
                                                                    label="Stránka",
                                                                    page_type=[
                                                                        "district.DistrictPersonPage"
                                                                    ],
                                                                ),
                                                            ),
                                                            (
                                                                "image",
                                                                wagtail.images.blocks.ImageChooserBlock(
                                                                    help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                                    label="Obrázek",
                                                                    required=False,
                                                                ),
                                                            ),
                                                        ]
                                                    ),
                                                    label="Kandidáti",
                                                ),
                                            ),
                                        ],
                                        label="Ostatní kandidáti",
                                    ),
                                ),
                                (
                                    "program",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "program_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek části programu"
                                                            ),
                                                        ),
                                                        (
                                                            "point_list",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "url",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz pokrývající celou tuto část",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Ikona",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek článku programu"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "text",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                features=[
                                                                                    "h3",
                                                                                    "h4",
                                                                                    "h5",
                                                                                    "bold",
                                                                                    "italic",
                                                                                    "ol",
                                                                                    "ul",
                                                                                    "hr",
                                                                                    "link",
                                                                                    "document-link",
                                                                                    "image",
                                                                                    "superscript",
                                                                                    "subscript",
                                                                                    "strikethrough",
                                                                                    "blockquote",
                                                                                    "embed",
                                                                                ],
                                                                                label="Obsah",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Jednotlivé články programu",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "program_group_crossroad",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek části programu"
                                                            ),
                                                        ),
                                                        (
                                                            "point_list",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "text",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                label="Krátký text pod nadpisem",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                page_type=[
                                                                                    "district.DistrictArticlePage",
                                                                                    "district.DistrictArticlesPage",
                                                                                    "district.DistrictCenterPage",
                                                                                    "district.DistrictContactPage",
                                                                                    "district.DistrictCrossroadPage",
                                                                                    "district.DistrictCustomPage",
                                                                                    "district.DistrictElectionCampaignPage",
                                                                                    "district.DistrictElectionProgramPage",
                                                                                    "district.DistrictElectionRootPage",
                                                                                    "district.DistrictPeoplePage",
                                                                                    "district.DistrictPersonPage",
                                                                                    "district.DistrictPostElectionStrategyPage",
                                                                                    "district.DistrictProgramPage",
                                                                                ],
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Karty programu",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "program_group_popout",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek části programu"
                                                            ),
                                                        ),
                                                        (
                                                            "categories",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "name",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Název"
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Ikona",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.RichTextBlock(
                                                                                label="Popis",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "point_list",
                                                                            wagtail.blocks.ListBlock(
                                                                                wagtail.blocks.StructBlock(
                                                                                    [
                                                                                        (
                                                                                            "title",
                                                                                            wagtail.blocks.CharBlock(
                                                                                                label="Titulek vyskakovacího bloku"
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "content",
                                                                                            wagtail.blocks.RichTextBlock(
                                                                                                features=[
                                                                                                    "h3",
                                                                                                    "h4",
                                                                                                    "h5",
                                                                                                    "bold",
                                                                                                    "italic",
                                                                                                    "ol",
                                                                                                    "ul",
                                                                                                    "hr",
                                                                                                    "link",
                                                                                                    "document-link",
                                                                                                    "image",
                                                                                                    "superscript",
                                                                                                    "subscript",
                                                                                                    "strikethrough",
                                                                                                    "blockquote",
                                                                                                    "embed",
                                                                                                ],
                                                                                                label="Obsah",
                                                                                            ),
                                                                                        ),
                                                                                        (
                                                                                            "guarantor",
                                                                                            wagtail.blocks.PageChooserBlock(
                                                                                                label="Garant",
                                                                                                page_type=[
                                                                                                    "district.DistrictPersonPage"
                                                                                                ],
                                                                                                required=False,
                                                                                            ),
                                                                                        ),
                                                                                    ]
                                                                                ),
                                                                                label="Jednotlivé bloky programu",
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Kategorie programu",
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                        ]
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Program",
            ),
        ),
    ]
